apiVersion: v1
kind: Service
metadata:
    name: tentris-devwd-service
spec:
    selector:
        app: tentris-devwd  # Match pods in the Deployment
    ports:
        - protocol: TCP
          port: 9080  # Port exposed by the Service
          targetPort: 9080  # Port on the pod to forward traffic to
          nodePort: 31002
    type: NodePort  # Default type, can be changed to NodePort or LoadBalancer if needed

